GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_event Struct Reference

The result of an operation. More...

`#include <grpc.h>`

## Data Fields
grpc_completion_type | type
| The type of the completion. More...
int | success
| non-zero if the operation was successful, 0 upon failure. More...
void * | tag
| The tag passed to grpc_call_start_batch etc to start this operation. More...

## Detailed Description

The result of an operation.

Returned by a completion queue when the operation started with tag.

## Field Documentation

int grpc_event::success

non-zero if the operation was successful, 0 upon failure.

Only GRPC_OP_COMPLETE can succeed or fail.

void* grpc_event::tag

The tag passed to grpc_call_start_batch etc to start this operation.

Only GRPC_OP_COMPLETE has a tag.

grpc_completion_type grpc_event::type

The type of the completion.

The documentation for this struct was generated from the following file:

- include/grpc/grpc.h